{
    "name" : "区间测速",
    "appid" : "__UNI__E207F22",
    "description" : "",
    "versionName" : "1.0.0",
    "versionCode" : "100",
    "transformPx" : false,
    /* 5+App特有相关 */
    "app-plus" : {
        "usingComponents" : true,
        "nvueStyleCompiler" : "uni-app",
        "compilerVersion" : 3,
        "screenOrientation" : [
            "landscape-primary", //可选，字符串类型，支持横屏
            "landscape-secondary"
        ],
        "runmode" : "liberate",
        "splashscreen" : {
            "alwaysShowBeforeRender" : true,
            "waiting" : true,
            "autoclose" : true,
            "delay" : 0
        },
        /* 模块配置 */
        "modules" : {
            "Maps" : {},
            "Geolocation" : {},
            "LivePusher" : {},
            "VideoPlayer" : {},
            "Camera" : {},
            "Push" : {}
        },
        /* 应用发布信息 */
        "distribute" : {
            /* android打包配置 */
            "android" : {
                "permissions" : [
                    "<uses-permission android:name=\"android.permission.CHANGE_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.MOUNT_UNMOUNT_FILESYSTEMS\"/>",
                    "<uses-permission android:name=\"android.permission.VIBRATE\"/>",
                    "<uses-permission android:name=\"android.permission.READ_LOGS\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_WIFI_STATE\"/>",
                    "<uses-feature android:name=\"android.hardware.camera.autofocus\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.INTERNET\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_EXTERNAL_STORAGE\"/>",
                    "<uses-permission android:name=\"android.permission.READ_EXTERNAL_STORAG\"/>",
                    "<uses-permission android:name=\"android.permission.READ_PHONE_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.CAMERA\"/>",
                    "<uses-permission android:name=\"android.permission.GET_ACCOUNTS\"/>",
                    "<uses-permission android:name=\"android.permission.QUERY_ALL_PACKAGES\"/>",
                    "<uses-permission android:name=\"android.permission.GET_TASKS\"/>",
                    "<uses-permission android:name=\"android.permission.CHANGE_WIFI_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.WAKE_LOCK\"/>",
                    "<uses-permission android:name=\"android.permission.FLASHLIGHT\"/>",
                    "<uses-feature android:name=\"android.hardware.camera\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_SETTINGS\"/>"
                ]
            },
            /* ios打包配置 */
            "ios" : {
                "dSYMs" : false
            },
            /* SDK配置 */
            "sdkConfigs" : {
                "maps" : {
                    "baidu" : {
                        "appkey_ios" : "nWnzss8CKEBKcBLoYUdVybkrKl4o2izT",
                        "appkey_android" : "nWnzss8CKEBKcBLoYUdVybkrKl4o2izT"
                    }
                },
                "geolocation" : {
                    "baidu" : {
                        "__platform__" : [ "android" ],
                        "appkey_ios" : "nWnzss8CKEBKcBLoYUdVybkrKl4o2izT",
                        "appkey_android" : "nWnzss8CKEBKcBLoYUdVybkrKl4o2izT"
                    }
                },
                "statics" : {},
                "push" : {
                    "unipush" : {
                        "offline" : false
                    }
                }
            },
            "icons" : {
                "android" : {
                    "hdpi" : "unpackage/res/icons/72x72.png",
                    "xhdpi" : "unpackage/res/icons/96x96.png",
                    "xxhdpi" : "unpackage/res/icons/144x144.png",
                    "xxxhdpi" : "unpackage/res/icons/192x192.png"
                },
                "ios" : {
                    "appstore" : "unpackage/res/icons/1024x1024.png",
                    "ipad" : {
                        "app" : "unpackage/res/icons/76x76.png",
                        "app@2x" : "unpackage/res/icons/152x152.png",
                        "notification" : "unpackage/res/icons/20x20.png",
                        "notification@2x" : "unpackage/res/icons/40x40.png",
                        "proapp@2x" : "unpackage/res/icons/167x167.png",
                        "settings" : "unpackage/res/icons/29x29.png",
                        "settings@2x" : "unpackage/res/icons/58x58.png",
                        "spotlight" : "unpackage/res/icons/40x40.png",
                        "spotlight@2x" : "unpackage/res/icons/80x80.png"
                    },
                    "iphone" : {
                        "app@2x" : "unpackage/res/icons/120x120.png",
                        "app@3x" : "unpackage/res/icons/180x180.png",
                        "notification@2x" : "unpackage/res/icons/40x40.png",
                        "notification@3x" : "unpackage/res/icons/60x60.png",
                        "settings@2x" : "unpackage/res/icons/58x58.png",
                        "settings@3x" : "unpackage/res/icons/87x87.png",
                        "spotlight@2x" : "unpackage/res/icons/80x80.png",
                        "spotlight@3x" : "unpackage/res/icons/120x120.png"
                    }
                }
            }
        },
        "nativePlugins" : {
            "AS-HikVideoModule" : {
                "android_appid" : "blyc.qjcs.com",
                "__plugin_info__" : {
                    "name" : "海康摄像头插件 - [试用版，仅用于自定义调试基座]",
                    "description" : "基于海康SDK开发，支持视频实时预览、视频抓拍、录像、摄像头旋转、缩放及回预置点等操作，支付后联系QQ提供源码，可根据需求有偿修改",
                    "platforms" : "Android",
                    "url" : "https://ext.dcloud.net.cn/plugin?id=7190",
                    "android_package_name" : "",
                    "ios_bundle_id" : "",
                    "isCloud" : true,
                    "bought" : 0,
                    "pid" : "7190",
                    "parameters" : {
                        "android_appid" : {
                            "des" : "参数描述",
                            "key" : "TM123456",
                            "value" : ""
                        }
                    }
                }
            }
        }
    },
    /* 快应用特有相关 */
    "quickapp" : {},
    /* 小程序特有相关 */
    "mp-weixin" : {
        "appid" : "",
        "setting" : {
            "urlCheck" : false
        },
        "usingComponents" : true
    },
    "mp-alipay" : {
        "usingComponents" : true
    },
    "mp-baidu" : {
        "usingComponents" : true
    },
    "mp-toutiao" : {
        "usingComponents" : true
    },
    "uniStatistics" : {
        "enable" : false
    },
    "vueVersion" : "3",
    "h5" : {
        "devServer" : {
            //配置跨域
            "proxy" : {
                "/api" : {
                    "target" : "http://192.168.1.7:8566",
                    "changeOrigin" : true,
                    "secure" : false
                }
            }
        },
        "sdkConfigs" : {
            "maps" : {}
        }
    }
}
